Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178885 - bonding mode=6 + dhcp doesn't work correctly
Summary: bonding mode=6 + dhcp doesn't work correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-01-25 07:31 UTC by Charles Rose
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 13:42:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
jwltest-bond_alb-mac-collision.patch (deleted)
2006-01-26 16:00 UTC, John W. Linville
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Charles Rose 2006-01-25 07:31:54 UTC
+++ This bug was initially created as a clone of Bug #144477 +++

Description of problem:
After modified modprobe.conf, create ifcfg-bond0, ifcfg-eth0,
ifcfg-eth1, I reboot the system. I see only eth0 is active. And it
generated a lot of warnings, errors in dmesg, and /var/log/messages.

Below are samples of errors:
bonding: bond0: link status definitely up for interface eth1.
bonding: Warning: the permanent HWaddr of eth0 - 00:06:5B:0F:6F:F8 -
is still in use by bond0. Set the HWaddr of eth0 to a different
address to avoid conflicts.
bonding: bond0: releasing active interface eth0
bonding: bond0: making interface eth1 the new active one.
bonding: Warning: the hw address of slave eth0 is in use by the bond;
giving it the hw address of eth1
bonding: bond0: enslaving eth0 as an active interface with a down link.
bonding: bond0: releasing active interface eth1
bonding: bond0: now running without any active interface !
bonding: Error: the hw address of slave eth1 is not unique - cannot
enslave it!<3>bonding: Error: the hw address of slave eth1 is not
unique - cannot enslave it!<6>e1000: eth0: e1000_watchdog: NIC Link is
Up 1000 Mbps Full Duplex
bonding: bond0: link status definitely up for interface eth0.
bonding: bond0: making interface eth0 the new active one.


Version-Release number of selected component (if applicable):
RHEL4-prerc2

How reproducible:
always

Steps to Reproduce:
1) Do a fresh install of RHEL4-pre-rc2.
B) Modify your modprobe.conf file to make and alias for the bonding
module named bond0 with options miimon=200 and mode=6 i.e. balance-alb.
C) Create ifcfg-bond0, ifcfg-eth0 and ifcfg-eth1 configuration files
pre se the redhat manuals. Please note that I'm using DHCP for bond0
interface where as the RH manuals aren't specific to either DHCP or
static, so that shouldn't be a problem.
D) Reboot a server or do a network restart using service network restart
  
Actual results:
Only eth0 is active, and alot of warning and errors in dmesg, and
/var/log/messages.

Expected results:
Should work as expected.

Additional info:
- This bonding mode=6 works fine, if I use static IP addr.
- This bonding mode=6 only fails when I do service network restart, or
when I reboot the system.
- However, if I manually turn on network by doing:
   service network stop
   ifconfig bond0 up
   ifenslave bond0 eth0
   ifenslave bond0 eth1
It works as expected
- Also, I tried using bonding mode=1. This work fine regardless of
with or without dhcp.
- I have checked bug#91399 and add TYPE=Bonding to ifcfg-bond0. Well,
It still failed as described above.

This issue has been fixed in RHEL4 (2.6.9) with a patch to the bonding driver.
the same patch needs to be applied to the RHEL3(2.4.21) tree as well.

Comment 1 John W. Linville 2006-01-26 16:00:54 UTC
Created attachment 123719 [details]
jwltest-bond_alb-mac-collision.patch

Comment 2 John W. Linville 2006-01-26 18:09:13 UTC
Test kernels w/ the above patch available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Please give those a try and post the results here...thanks! 

Comment 3 Charles Rose 2006-01-27 05:26:36 UTC
Issue not seen with kernel-2.4.21-39.EL.jwltest.81smp on RHEL 3 U7 beta.

Comment 5 Ernie Petrides 2006-02-24 03:46:03 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.3.EL).


Comment 6 Bob Johnson 2006-04-11 16:29:33 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 9 Red Hat Bugzilla 2006-07-20 13:42:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.